Project

General

Profile

Actions

Bug #2758

closed

Can't upgrade from 2.3 to 2.4 with apt-get

Added by Vincent MEMBRÉ almost 12 years ago. Updated about 9 years ago.

Status:
Released
Priority:
2
Assignee:
Nicolas PERRON
Category:
Packaging
Target version:
Severity:
UX impact:
User visibility:
Effort required:
Priority:
Name check:
Fix check:
Regression:

Description

After changing from repository 2.3 to repository 2.4, running apt-get upgrade tries to upgrade rudder-cfengine-community and rudder-policy-templates
and don't upgrade rudder-server-root and rudder-webapp

  • rudder-cfengine-community and rudder-policy-templates should not be upgraded and be replaced by rudder-agent and rudder-techniques
  • rudder-server-root and rudder-webapp should be upgraded
The following packages have been kept back:
  rudder-server-root rudder-webapp
The following packages will be upgraded:
  rudder-cfengine-community rudder-inventory-endpoint rudder-inventory-ldap rudder-jetty rudder-policy-templates rudder-reports
6 upgraded, 0 newly installed, 0 to remove and 2 not upgraded.

it should works like aptitude upgrade, which works perfectly fine:

The following NEW packages will be installed:
  rudder-agent{a} rudder-techniques{a} uuid-runtime{a} 
The following packages will be REMOVED:
  rudder-cfengine-community{u} rudder-policy-templates{u} 
The following packages will be upgraded:
 rudder-inventory-endpoint rudder-inventory-ldap rudder-jetty rudder-reports rudder-server-root rudder-webapp 
6 packages upgraded, 3 newly installed, 2 to remove and 0 not upgraded.

Related issues 2 (0 open2 closed)

Related to Rudder - Architecture #2312: Rename PT/PI/CR in packagingReleasedJonathan CLARKE2012-02-22Actions
Related to Rudder - Architecture #7723: Remove deprecated package rudder-policy-templatesReleasedBenoît PECCATTE2016-01-04Actions
Actions

Also available in: Atom PDF